---
layout: default
---

<article
  {% include_cached cart_controller.html product=page extra=page.author %}
  class="h-entry"
  itemscope itemtype="http://schema.org/Book">

  <header>
    <h1 class="p-name" itemprop="name headline">{{ page.title | escape }}</h1>

    {%- if page.description -%}
      <p class="lead p-summary" itemprop="description">{{ page.description | escape }}</p>
    {%- endif -%}

    <p>
      <time
        class="dt-published"
        datetime="{{ page.date | date_to_xmlschema }}"
        itemprop="datePublished">
        {%- assign date_format = site.i18n.date.format | default: "%b %-d, %Y" -%}
        {{ page.date | date_local: date_format }}
      </time>

      {%- for author in page.author -%}
        •
        <span itemprop="author" itemscope itemtype="http://schema.org/Person">
          <span class="p-author h-card" itemprop="name">
            {{ author | escape }}
          </span>
        </span>
      {%- endfor -%}
    </p>
  </header>

  <div class="row">
    <div class="col-12 col-md">
      {%- if page.image.path -%}
        <picture>
          {% for size in site.images.sizes %}
            <source
              srcset="{{ page.image.path | thumbnail: size }}"
              media="(max-width: {{ size }}px)" />
          {% endfor %}

          <img
            class="img-fluid"
            src="{{ page.image.path | thumbnail: 570 }}"
            alt="{{ page.image.description }}" />
        </picture>
      {%- endif -%}

      <hr/>

      {%- if page.file.path -%}
      <a
        href="{{ page.file.path }}"
        alt="{{ page.file.description }}"
        class="btn btn-info btn-block btn-lg">
        {{ site.i18n.book.file }}
      </a>
      {%- endif %}

      {%- include_cached cart_add.html product=page -%}
    </div>

    <div class="col-12 col-md">
      <div itemprop="offers" itemscope itemtype="https://schema.org/Offer">
        <p class="f-4">
          <span data-stock-price>
            <span itemprop="price">{{ page.price }}</span>
            <span itemprop="priceCurrency">{{ site.cart.currency }}</span>
          </span>
          <meta itemprop="availability" content="https://schema.org/{{ page.in_stock | ternary: 'InStock', 'OutOfStock' }}" />
        </p>
      </div>

      <dl>
        {%- if page.pages -%}
          <dt>{{ site.i18n.book.pages }}</dt>
          <dd itemprop="numberOfPages">{{ page.pages }}</dd>
        {%- endif -%}

        {%- assign divider = site.i18n.units.size.divider | default: 10 -%}
        {%- assign width = page.width | divided_by: divider | floor -%}
        {%- if width > 0 -%}
          {%- assign height = page.height | divided_by: divider | floor -%}
          {%- assign depth = page.depth | divided_by: divider | floor -%}
          <dt>{{ site.i18n.book.size }}</dt>
          <dd>
            {{ width }}x{{ height }}{% if depth > 0 %}x{{ depth }}{% endif %} {{ site.i18n.units.size.name }}
          </dd>
        {%- endif -%}
      </dl>

      <div class="e-content" itemprop="abstract">
        {{ content | replace: '<img ', '<img loading="lazy" ' | replace: '<iframe ', '<iframe loading="lazy" ' }}
      </div>
    </div>
  </div>

  <footer>
    <a class="u-url" itemprop="url" href="{{ page.url }}" hidden>{{ page.url | absolute_url }}</a>
    <meta itemprop="identifier" content="{{ page.uuid }}"/>
    <meta itemprop="keywords" content="{{ page.tags | join: ',' }},{{ page.categories | join: ',' }}" />

    {%- for tag in page.tags -%}
      <span hidden class="h-category">{{ tag }}</span>
    {%- endfor -%}

    {%- for category in page.categories -%}
      <span hidden class="h-category">{{ category }}</span>
    {%- endfor -%}
  </footer>
</article>
